## org.apache.fop.dom.svg
Interface GraphicImpl

public interface GraphicImpl

base class for SVG graphic objects. Graphic objects include rectangles, lines and text

Method Summary
`void` `addDefs(java.util.Hashtable st)`
`java.util.Hashtable` `getDefs()`
`org.w3c.dom.svg.SVGElement` `getGraphicParent()`
`org.w3c.dom.svg.SVGElement` `locateDef(java.lang.String str)`
`java.util.Hashtable` `oldgetStyle()`
`java.util.Vector` `oldgetTransform()`
`void` `setParent(org.w3c.dom.svg.SVGElement g)`
`void` `setStyle(java.util.Hashtable st)`
`void` `setTransform(java.util.Vector tr)`

Method Detail

### oldgetStyle

    public java.util.Hashtable oldgetStyle()

### setParent

    public void setParent(org.w3c.dom.svg.SVGElement g)

### getGraphicParent

    public org.w3c.dom.svg.SVGElement getGraphicParent()

### oldgetTransform

    public java.util.Vector oldgetTransform()

### getDefs

    public java.util.Hashtable getDefs()

### locateDef

    public org.w3c.dom.svg.SVGElement locateDef(java.lang.String str)

### setStyle

    public void setStyle(java.util.Hashtable st)

### addDefs

    public void addDefs(java.util.Hashtable st)

### setTransform

    public void setTransform(java.util.Vector tr)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.